Nimrod crossplatorm TODO example
================================

Nimrod is a programming language
([http://nimrod-code.org/](http://nimrod-code.org/)) which compiles to
C/Objective-C/C++. As part of the normal distribution it contains your typical
[TODO example](https://github.com/Araq/Nimrod/tree/master/examples/cross_todo)
implementing the backend logic and a commandline interface.

[This github repository](https://github.com/gradha/nimrod-crossplatform-todo)
expands that concept with an iOS interface, showing how to call the nimrod code
from the Objective-C code and how the logic can remain implemented in nimrod
and your user interface in Objective-C.


The backend and commandline interface
-------------------------------------

The backend directory and the commandline interface directory contain an
unmodified copy of Nimrod's TODO code. This code is referenced from the other
platforms through relative directories. You can easily run the test or
interface through typical nimrod compilation commands:

	cd nimrod_backend
	nimrod c -r testbackend.nim
	cd ..
	cd nimrod_commandline
	nimrod c -r nimtodo.nim


The iOS platform
----------------

For information on the iOS platform [see its README
file](https://github.com/gradha/nimrod-crossplatform-todo/tree/master/ios). Due
to the iOS project using git submodules, keep in mind that you have to check
them out too or you will be missing code. Example:

	git clone git://github.com/gradha/nimrod-crossplatform-todo.git
	cd nimrod-crossplatform-todo
	git submodule init
	git submodule update


A more basic intro
------------------

If you are looking for a less complex example of Nimrod integration you can
take a look at [Nimrod on iOS](https://github.com/gradha/nimrod-on-ios) or
[Nimrod on Android](https://github.com/gradha/nimrod-on-android).
