/** Interfaces with the SQLite fetch parameters structure.
 * Replicates the variables we are interested in and provides an interface.
 */
@interface NRPagedParams : NSObject

@property (nonatomic, assign) BOOL priorityAscending;
@property (nonatomic, assign) BOOL dateAscending;
@property (nonatomic, assign) BOOL showUnchecked;
@property (nonatomic, assign) BOOL showChecked;

+ (NRPagedParams*)get;
- (void)save;

@end
