#import "NRPagedParams.h"

#import "todointerface.h"


@implementation NRPagedParams

@synthesize dateAscending = dateAscending_;
@synthesize priorityAscending = priorityAscending_;
@synthesize showChecked = showChecked_;
@synthesize showUnchecked = showUnchecked_;

#pragma mark -
#pragma mark Methods

- (NSString*)description
{
	return [NSString stringWithFormat:@"NRPagedParams {priorityAscending:%d, "
		@"dateAscending:%d, showUnchecked:%d, showChecked:%d}",
		priorityAscending_, dateAscending_, showUnchecked_, showChecked_];
}

/// Returns the singleton object from nimrod's global variable.
+ (NRPagedParams*)get
{
	NRPagedParams *ret = [[NRPagedParams new] autorelease];
	updateFetchParams(ret);
	return ret;
}

/** Sets the current structure as the new fetch options.
 * Also generates the NRFetchOptionsDidChange notification.
 */
- (void)save
{
	saveFetchParams(self);
}

@end
