#import "NRTodo.h"

#import "todointerface.h"


@implementation NRTodo

@synthesize id_ = id__;
@synthesize isDone = isDone_;
@synthesize modificationDate = modificationDate_;
@synthesize priority = priority_;
@synthesize text = text_;

#pragma mark -
#pragma mark Life

- (void)dealloc
{
	[text_ release];
	[modificationDate_ release];
	[super dealloc];
}

#pragma mark -
#pragma mark Methods

- (NSString*)description
{
	return [NSString stringWithFormat:@"NRTodo {id:%lld, priority:%d, "
		@"text:%@, isDone:%d, modificationDate:%@}",
		id__, priority_, text_, isDone_, modificationDate_];
}

- (BOOL)update
{
	return updateTodo(self);
}

- (BOOL)save
{
	return saveTodo(self);
}

@end
